Ticket #42641

AI: don't double marketplace bonus when not needed

Open Date: 2021-07-19 07:47 Last Update: 2021-09-11 02:20

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

In windfall_ benefit() in common/aicore/caravan.c, bonus is always multiplied at 2; it should be only if the bonus of trade between cities is TBONUS_BOTH mode.

Ticket History (3/5 Histories)

2021-07-19 07:47 Updated by: ihnatus
  • New Ticket "AI: don't double marketplace bonus when not needed" created
2021-07-21 04:23 Updated by: ihnatus
Comment

Patch goes for all branches over #42518 patch.

2021-09-08 09:58 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2021-09-11 02:20 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login